AbstractClasspathEntry (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class AbstractClasspathEntry

- org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

- All Implemented Interfaces and Traits:
    ClasspathEntry

      abstract class AbstractClasspathEntry
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMPONENT_DEPENDENCY_ATTRIBUTE` |
    `static String` | `COMPONENT_NON_DEPENDENCY_ATTRIBUTE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<AccessRule>` | `accessRules`
    `Map<String, Object>` | `entryAttributes`
    `boolean` | `exported`
    `String` | `path`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractClasspathEntry (groovy.util.Node node)`
    `AbstractClasspathEntry (String path)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected groovy.util.Node` | `addClasspathEntry(groovy.util.Node node, Map<String, ?> attributes)`
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(def o)`
    `String` | `getNativeLibraryLocation()`
    `int` | `hashCode()`
    `protected String` | `normalizePath(String path)`
    `void` | `setNativeLibraryLocation(String location)`
    `String` | `toString()`
    `void` | `writeEntryAttributes(groovy.util.Node node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String COMPONENT_DEPENDENCY_ATTRIBUTE

    - #### public static final String COMPONENT_NON_DEPENDENCY_ATTRIBUTE

  - ### Property Detail

    - #### Set<AccessRule> accessRules

    - #### final Map<String, Object> entryAttributes

    - #### boolean exported

    - #### String path

  - ### Constructor Detail

    - #### AbstractClasspathEntry(groovy.util.Node node)

    - #### AbstractClasspathEntry(String path)

  - ### Method Detail

    - #### protected groovy.util.Node addClasspathEntry(groovy.util.Node node, Map<String, ?> attributes)

    - #### void appendNode(groovy.util.Node node)

    - #### boolean equals(def o)

    - #### String getNativeLibraryLocation()

    - #### int hashCode()

    - #### protected String normalizePath(String path)

    - #### final void setNativeLibraryLocation(String location)

    - #### String toString()

    - #### void writeEntryAttributes(groovy.util.Node node)